
#property copyright "Copyright  2010"
#property link      ""

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Magenta
#property indicator_color2 Magenta

double g_ibuf_76[];
double g_ibuf_80[];
int gi_84 = 14;
int gi_88 = 5000;

void init() {
   string ls_unused_0;
   SetIndexBuffer(0, g_ibuf_76);
   SetIndexBuffer(1, g_ibuf_80);
   SetIndexEmptyValue(0, 0);
   SetIndexEmptyValue(1, 0);
   SetIndexStyle(0, DRAW_ARROW);
   SetIndexArrow(0, 234);
   SetIndexStyle(1, DRAW_ARROW);
   SetIndexArrow(1, 233);
}

void start() {
   int li_4;
   double ld_16;
   int li_0 = IndicatorCounted();
   if (li_0 >= 0) {
      if (li_0 > 0) li_0--;
      li_4 = MathMin(Bars - li_0, gi_88);
      ld_16 = 0;
      for (int li_8 = 1; li_8 <= 20; li_8++) ld_16 += 0.3 * (High[li_8] - Low[li_8]) / 20.0;
      for (li_8 = gi_84 + 0; li_8 <= li_4 + gi_84; li_8++) {
         g_ibuf_76[li_8] = 0;
         g_ibuf_80[li_8] = 0;
         if (is_upper_fr(li_8, gi_84) == 1) g_ibuf_76[li_8] = High[li_8] + ld_16;
         if (is_lower_fr(li_8, gi_84) == 1) g_ibuf_80[li_8] = Low[li_8] - ld_16;
      }
   }
}

int is_upper_fr(int ai_0, int ai_4) {
   bool l_bool_8 = TRUE;
   for (int li_12 = 1; li_12 <= ai_4; li_12++) {
      if (ai_0 + li_12 >= Bars || ai_0 - li_12 < 0 == TRUE) return (0);
      l_bool_8 = l_bool_8 && High[ai_0] >= High[ai_0 + li_12] && High[ai_0] >= High[ai_0 - li_12];
   }
   return (l_bool_8);
}

int is_lower_fr(int ai_0, int ai_4) {
   bool l_bool_8 = TRUE;
   for (int li_12 = 1; li_12 <= ai_4; li_12++) {
      if (ai_0 + li_12 >= Bars || ai_0 - li_12 < 0 == TRUE) return (0);
      l_bool_8 = l_bool_8 && Low[ai_0] <= Low[ai_0 + li_12] && Low[ai_0] <= Low[ai_0 - li_12];
   }
   return (l_bool_8);
}